Bug 118615 - Cache in ContentSectionServlet.getItem() ignores languages accepted by client
Cache in ContentSectionServlet.getItem() ignores languages accepted by client
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 05:48 EST by Carsten Clasohm
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 05:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2004-03-18 05:48:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
For mapping URLs to live content items,
ContentSectionServlet.getItem() uses a cache. The key for cache
entries is the URL.

With the multilingual item resolver, one URL can be associated with
different language instances, depending the client's list of accepted
languages.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In the default content section, create a new Article with French
and English language instances, and publish both.
2. Configure your browser to accept "fr" and "en" in this order.
3. Go to /ccm/content/, click on the Article, and you will get the
French version.
4. Configure your browser to accept only "en".
3. Go to /ccm/content/, click on the Article, reload the page, and you
will still see the French version.


Actual Results:  CMS always displays the language instance which it
displayed for the first client who accessed a URL.

To fix this, the URL and the list of accepted languages should be used
for caching.


Additional info:
Comment 1 Carsten Clasohm 2006-07-12 05:09:55 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.